1. Games & odds
Playbook-API
  • Global
    • Overview
    • Base URL (Servers)
    • Authentication
    • Rate Limits + Usage
    • Errors
    • League / sportKey Conventions
    • Support
  • Core Endpoints
    • Health
      GET
    • Me
      GET
    • Teams
      GET
    • Live Scores/Games
      GET
    • Team Stats
      GET
    • Injuries
      GET
    • Splits
      GET
    • Splits (Historical/History)
      GET
    • Odds-Games
      GET
    • Lines
      GET
    • Games
      GET
    • Recent Form
      GET
    • Head-to-Head
      GET
  • MLB
    • Pitcher Stats (Season)
      GET
    • Starting Pitchers
      GET
    • Ballpark Weather
      GET
    • Strikeout Predictor
      GET
    • MLB Starting Pitchers
      GET
    • MLB Strikeout Predictor
      GET
    • MLB Pitcher Stats
      GET
    • MLB Ballpark Weather
      GET
  • NFL
    • Roster
    • NFL Team Stats
    • Team vs. Opponent
    • Player vs. Opponent
    • NFL Rosters
    • NFL Team Stats
    • NFL Team vs. Opponent
    • NFL Player vs. Opponent
    • NFL Stadiums
    • NFL IR & Reserve Moves
  • Games & odds
    • Games & IDs
      GET
    • Game Lines
      GET
    • Games
      GET
    • Live Games
      GET
  • Player props
    • Player Props
    • Player Prop Splits
  • Betting data
    • Betting Splits
    • Betting Splits History
    • Large Wagers
    • Large Wagers Summary
  • Injuries & teams
    • Injuries
    • Teams
    • Team Stats
  • Form & matchups
    • Recent Form
    • Head-to-Head
  • NBA
    • NBA Roster Moves
  • Account
    • Account & Usage
  • Schemas
    • Error
  1. Games & odds

Game Lines

GET
/v1/lines
Last modified:2026-10-16 02:10:05
Current spread, total, and moneyline for every upcoming game, with spread and over/under prices. Add include=novig for exchange prices at the same numbers (Starter plan and above).
Cost: 2 request units per call.
Related: Betting Splits (/v1/splits), Games & IDs (/v1/odds-games)

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Responses

🟢200
application/json
Success
Bodyapplication/json

🟠400BadRequest
🟠401Unauthorized
🟠403Forbidden
🟠429RateLimited
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/lines?league=&include=' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success
{
    "league": "MLB",
    "count": 1,
    "data": [
        {
            "gameId": "pbk_32cb8fd6180b98ea99e8",
            "homeTeamName": "Atlanta Braves",
            "awayTeamName": "Philadelphia Phillies",
            "startTime": "2026-09-29T18:00:00Z",
            "lines": {
                "spread": {
                    "home": -1.5,
                    "away": 1.5,
                    "homePrice": 114,
                    "awayPrice": -137
                },
                "total": 6.5,
                "totalPrice": {
                    "over": -124,
                    "under": 102
                },
                "moneyline": {
                    "home": -200,
                    "away": 168
                }
            },
            "exchange": {
                "novig": {
                    "source": "novig",
                    "status": "pregame",
                    "updatedAt": "2026-09-29T15:02:11Z",
                    "spread": {
                        "home": -1.5,
                        "away": 1.5,
                        "homePrice": 118,
                        "awayPrice": -122
                    },
                    "total": 6.5,
                    "totalPrice": {
                        "over": -118,
                        "under": 114
                    },
                    "moneyline": {
                        "home": -190,
                        "away": 184
                    }
                }
            }
        }
    ],
    "novig": {
        "status": "ok",
        "matched": 1
    }
}
Modified at 2026-10-16 02:10:05
Previous
Games & IDs
Next
Games
Built with